<?php  
//nulled by mingyuan 2018-08-13
require_once(__DIR__ . DIRECTORY_SEPARATOR . "core" . DIRECTORY_SEPARATOR . "Bootstrap.php");
class domain_orders_extended_license_1850PDOWrapper 
{
	private static $pdoConnection = NULL;
	private static function getDbConnection() 
	{
		if( class_exists("Illuminate\\Database\\Capsule\\Manager") ) 
		{
			return Illuminate\Database\Capsule\Manager::connection()->getPdo();
		}
		if( self::$pdoConnection === NULL ) 
		{
			self::$pdoConnection = self::setNewConnection();
		}
		return self::$pdoConnection;
	}
	private static function setNewConnection() 
	{
		try 
		{
			$includePath = ROOTDIR . DIRECTORY_SEPARATOR . "configuration.php";
			if( file_exists($includePath) ) 
			{
				require($includePath);
				$connection = new PDO(sprintf("mysql:host=%s;dbname=%s;port=%s;charset=utf8", $db_host, $db_name, ($db_port ? $db_port : 3360)), $db_username, $db_password);
				$connection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				return $connection;
			}
			throw new Exception("No configuration file found");
		}
		catch( PDOException $exc ) 
		{
		}
	}
	public static function query($query, $params = array( )) 
	{
		$statement = self::getDbConnection()->prepare($query);
		$statement->execute($params);
		return $statement;
	}
	public static function real_escape_string($string) 
	{
		return substr(self::getDbConnection()->quote($string), 1, -1);
	}
	public static function fetch_assoc($query) 
	{
		return $query->fetch(PDO::FETCH_ASSOC);
	}
	public static function fetch_array($query) 
	{
		return $query->fetch(PDO::FETCH_BOTH);
	}
	public static function fetch_object($query) 
	{
		return $query->fetch(PDO::FETCH_OBJ);
	}
	public static function num_rows($query) 
	{
		$query->fetch(PDO::FETCH_BOTH);
		return $query->rowCount();
	}
	public static function insert_id() 
	{
		return self::getDbConnection()->lastInsertId();
	}
	public static function errorInfo() 
	{
		$tmpErr = self::getDbConnection()->errorInfo();
		if( $tmpErr[0] && $tmpErr[0] !== "00000" ) 
		{
			return $tmpErr;
		}
		return false;
	}
	public static function mysql_get_array($query, $params = array( )) 
	{
		$qRes = self::query($query, $params);
		$arr = array( );
		while( $row = self::fetch_assoc($qRes) ) 
		{
			$arr[] = $row;
		}
		return $arr;
	}
	public static function mysql_get_row($query, $params = array( )) 
	{
		$qRes = self::query($query, $params);
		return self::fetch_assoc($qRes);
	}
}
function domain_orders_extended_license_1850() 
{

		return array( "status" => "Active", "description" => "Your module license is active." );

}
function DomainOrdersExtended_config() 
{
	return ModulesGarden\DomainOrdersExtended\Core\ServiceLocator::call("configurationAddon", "config");
}
function DomainOrdersExtended_activate() 
{
	return ModulesGarden\DomainOrdersExtended\Core\ServiceLocator::call("configurationAddon", "activate");
}
function DomainOrdersExtended_deactivate() 
{
	return ModulesGarden\DomainOrdersExtended\Core\ServiceLocator::call("configurationAddon", "deactivate");
}
function DomainOrdersExtended_upgrade($params) 
{
	return ModulesGarden\DomainOrdersExtended\Core\ServiceLocator::call("configurationAddon")->update((isset($params["version"]) ? $params["version"] : ""));
}
function DomainOrdersExtended_output($params) 
{
	$license_check = domain_orders_extended_license_1850();
	if( $license_check["status"] != "Active" ) 
	{
		$error_message = (isset($license_custom_error_message) ? $license_custom_error_message : "License " . $license_check["status"] . (($license_check["description"] ? ": " . $license_check["description"] : "")));
		echo "<strong>License Error: " . $error_message . "</strong>";
		return $error_message;
	}
	ModulesGarden\DomainOrdersExtended\Core\ServiceLocator::call("controller")->setParams($params)->execute();
}
function DomainOrdersExtended_clientarea($params) 
{
	$license_check = domain_orders_extended_license_1850();
	if( $license_check["status"] != "Active" ) 
	{
		$error_message = (isset($license_custom_error_message) ? $license_custom_error_message : "License " . $license_check["status"] . (($license_check["description"] ? ": " . $license_check["description"] : "")));
		echo "<strong>License Error: " . $error_message . "</strong>";
		return $error_message;
	}
	return ModulesGarden\DomainOrdersExtended\Core\ServiceLocator::call("clientController")->setParams($params)->execute();
}
?>