{literal}
    <div class="col-md-4">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-body text-center" style="padding: 5px;">
                        <h4>{/literal}{$rawObject->getFullName()}{literal}</h4>
                        <hr style="margin-bottom: 0px;" v-if="cartTotals && ((cartTotals.domains && Object.keys(cartTotals.domains).length > 0) || (cartTotals.products && Object.keys(cartTotals.products).length > 0) || (cartTotals.addons && Object.keys(cartTotals.addons).length > 0))">
                        <div v-if='loadingCart' class="row text-center vertical-center" style="position: absolute; z-index: 999999; width: 92%; height: 80%; top: 50%;">
                            <div class="col-md-12" style="padding: 0px;">
                                <img  height="25" width="25" src="{/literal}{$rawObject->getAssetsURL()}{literal}/img/loading_icon.gif" />
                            </div>
                        </div>
                        <div class="row" style="margin-left: 3px;margin-right: 3px;" v-if="cartTotals.domains && Object.keys(cartTotals.domains).length > 0 || cartTotals.products && Object.keys(cartTotals.products).length > 0 || cartTotals.addons && Object.keys(cartTotals.addons).length > 0" >
                            <div v-if="cartTotals && cartTotals.domains && Object.keys(cartTotals.domains).length > 0" class="col-md-12 text-left">
                                <h5><b>{/literal}{$MGLANG->T("domains")}{literal}</b></h5>
                            </div>
                            <div v-if="cartTotals && cartTotals.domains" v-for="(domain, index) in cartTotals.domains" class="col-md-12" style="margin-bottom: 5px;" class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6 text-left" style="word-wrap:break-word;">
                                        <span>{{domain.domain}}</span>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <span>{{domain.price + " " + domain.shortYearsLanguage}}</span> <span style="cursor: pointer;" v-on:click="removeItemInCart(index, 'domains', domain.domain)"><span class="glyphicon glyphicon-remove" style="color: red;"></span></span>
                                    </div>
                                </div>

                            </div>
                            <div v-if="cartTotals && cartTotals.products && Object.keys(cartTotals.products).length > 0" class="col-md-12 text-left">
                                <h5><b>{/literal}{$MGLANG->T("products")}{literal}</b></h5>
                            </div>
                            <div v-if="cartTotals && cartTotals.products" v-for="(product, index) in cartTotals.products" style="margin-bottom: 5px;" class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6 text-left" style="word-wrap:break-word;">
                                        <span>{{product.productinfo.name}}</span>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <span>{{product.pricingtext}}</span> <span style="cursor: pointer;" v-on:click="removeItemInCart(index, 'products')"><span class="glyphicon glyphicon-remove" style="color: red;"></span></span>
                                    </div>
                                </div>
                                <div v-for="addon in product.addons" class="row">
                                    <div class="col-md-6 text-left" style="word-wrap:break-word;">
                                        <b>+ </b><span>{{addon.name}}</span>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <span>{{addon.pricingtext}}</span>
                                    </div>
                                </div>

                            </div>
                            <div v-if="cartTotals.addons && Object.keys(cartTotals.addons).length > 0" class="col-md-12 text-left">
                                <h5><b>{/literal}{$MGLANG->T("addons")}{literal}</b></h5>
                            </div>
                            <div v-for="(addon, index) in cartTotals.addons" style="margin-bottom: 5px;" class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6 text-left" style="word-wrap:break-word;">
                                        <span>{{addon.productname}}</span>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <span>{{addon.pricingtext}} </span> <span style="cursor: pointer;" v-on:click="removeItemInCart(index, 'addons')"><span class="glyphicon glyphicon-remove" style="color: red;"></span></span>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <div class="row" v-if="cartTotals && ((cartTotals.domains && Object.keys(cartTotals.domains).length > 0) || (cartTotals.products && Object.keys(cartTotals.products).length > 0) || (cartTotals.addons && Object.keys(cartTotals.addons).length > 0))" >
                            <div class="col-md-12 text-right" v-show='(cartTotals.taxrate != 0  && cartTotals.taxname) || (cartTotals.taxrate2 != 0 && cartTotals.taxname2)'>
                                <span style="font-size: 12px">
                                    <b style='margin-right: 10px;'>{/literal}{$rawObject->getSubTotalsTranslate()}{literal}</b>{{cartTotals.subtotal}}
                                </span>
                            </div>
                            <div class="col-md-12 text-right" v-show='cartTotals.taxrate != 0  && cartTotals.taxname'>
                                <span style="font-size: 12px">
                                    <b style='margin-right: 10px;'>{{cartTotals.taxname}} ({{cartTotals.taxrate}}%):</b>{{cartTotals.taxtotal}}
                                </span>
                            </div>
                            <div class="col-md-12 text-right" v-show='cartTotals.taxrate2 != 0 && cartTotals.taxname2'>
                                <span style="font-size: 12px">
                                    <b style='margin-right: 10px;'>{{cartTotals.taxname2}} ({{cartTotals.taxrate2}}%):</b>{{cartTotals.taxtotal2}}
                                </span>
                            </div>
                            <div class="col-md-12 text-right">

                                <span style="font-size: 22px">
                                    <b style='margin-right: 10px;'>{/literal}{$rawObject->getTotalsTranslate()}{literal}</b>{{cartTotals.total}}
                                </span>
                            </div>
                        </div>
                        <div class="row text-center" v-else>
                            {/literal}{$MGLANG->T("YourShoppingCartIsEmpty")}{literal}
                        </div>
                    </div>

                </div>
            </div>
            {/literal}{$rawObject->getButtonGoToCart()}{literal}
        </div>
    </div>
{/literal}
