{**********************************************************************
* DomainOrdersExtended product developed. (2017-07-21)
*
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
*}

{literal}
<template id="mg-datatable-panel{/literal}{$elementId}{literal}"  namespace="{/literal}{$namespace}{literal}" index="{/literal}{$rawObject->getIndex()}{literal}">
    <div class="widget widgetActionComponent vueDatatableTable" id="{/literal}{$elementId}{literal}" actionid="{/literal}{$rawObject->getRawCategoryId()}{literal}">
        <div class="widget__header">  
            <div class="widget__top top"> 
                <div class="top__title">
                    {/literal} 
                        {if $rawObject->getIcon()}<i class="{$rawObject->getIcon()}"></i>{/if}{if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T($rawObject->getTitle())}{/if}
                    {literal} 
                </div>
                <div class="top__toolbar">
                    {/literal} 
                        {$rawObject->insertButton('editCategoryButton')}
                        {$rawObject->insertButton('deleteCategoryButton')}
                    {literal}                 
                </div>
            </div>
        </div>
        <div class="widget__body">    
            <div class="t-c  datatableLoader" data-table-container data-check-container >
                <div class="t-c__top top mob-top-search">
                    <div class="top__toolbar">
                        {/literal}
                            {$rawObject->insertSearchForm()}
                        {literal}
                    </div>
                    <div class="top__toolbar">
                        {/literal} 
                            {$rawObject->insertButton('assignTldButton')}
                        {literal} 
                    </div>
                </div>
                <div class="t-c__mass-actions top">
                    <div class="top__title"><span class="badge  badge--primary value">0</span> Items Selected</div>
                    <div class="top__toolbar">
                        {/literal} 
                            {if $rawObject->hasMassActionButtons()}
                                {foreach $rawObject->getMassActionButtons() as $maButton}
                                    {$maButton->getHtml()}
                                {/foreach}
                            {/if}
                        {literal} 
                    </div>
                    <div class="drop-arrow{/literal}{if $rawObject->isvSortable()} drop-arrow-sorting{/if}{literal}"></div>
                </div>                              
{/literal}              
{***DATATABLE*BODY******************************************************************}
{literal}
                <div class="dataTables_wrapper no-footer">
                    <div>
                        <table  class="table table--mob-collapsible dataTable no-footer dtr-column" width="100%" v-show="loading === false" role="grid">
                            <thead>{/literal}
                                {assign var="collArrKeys" value=$customTplVars.columns|array_keys}
                                {foreach from=$customTplVars.columns key=tplKey item=tplValue}
                                    {if $rawObject->hasMassActionButtons() && $collArrKeys[0] === $tplKey}
                                        <th class="{if $tplValue->orderable}sorting{/if} {if $tplValue->class !== ''}{$tplValue->class}{/if}"
                                            name="{$tplValue->name}">
                                                <div class="rail">
                                                    <div class="form-check">
                                                        <label>
                                                            <input type="checkbox" data-check-all="" class="form-checkbox">
                                                            <span class="form-indicator"></span>
                                                        </label>
                                                    </div>
                                                    <span class="table__text" {if $tplValue->orderable}v-on:click="updateSorting"{/if}>{if $tplValue->rawTitle}{$tplValue->rawTitle}{else}{$MGLANG->controlerContextT('tldTable', $tplValue->title)}{/if}</th>
                                                </div>
                                            </th>                                    
                                    {else}
                                        <th class="{if $tplValue->orderable}sorting_asc{/if} {if $tplValue->class !== ''}{$tplValue->class}{/if}"
                                            {if $tplValue->orderable}v-on:click="updateSorting"{/if} name="{$tplValue->name}">{if $tplValue->rawTitle}{$tplValue->rawTitle}{else}{$MGLANG->controlerContextT('tldTable', $tplValue->title)}{/if}&nbsp;&nbsp;</th>
                                    {/if}
                                {/foreach}
                                {if $rawObject->hasActionButtons()}
                                    <th class="mgTableActionsHeader" name="actionsCol"></th>                            
                                {/if}
                            </thead>
                            <tbody {if $rawObject->isvSortable()}class="vSortable"{/if}>
                                <tr v-for="dataRow in dataRows" {literal}:actionid="dataRow.id"{/literal}>
                                    {foreach from=$customTplVars.columns key=tplKey item=tplValue}
                                        {if $rawObject->hasMassActionButtons() && $collArrKeys[0] === $tplKey}
                                            <td>
                                                {if $rawObject->isvSortable()}
                                                    <span class="drag-and-drop-icon"><i class="zmdi zmdi-unfold-more"></i></span>
                                                {/if}
                                                <div class="rail">
                                                        <div class="form-check">
                                                                <label>
                                                                        <input type="checkbox" class="form-checkbox table-mass-action-check" {literal}:value="dataRow.name"{/literal}>
                                                                        <span class="form-indicator">
                                                                        </span>
                                                                </label>
                                                        </div>
                                                        <span>
                                                                {literal} {{ dataRow.{/literal}{$tplKey}{literal} }}{/literal}
                                                        </span>
                                                </div> 
                                            </td>
                                        {else}
                                            <td>
                                                {literal} {{ dataRow.{/literal}{$tplKey}{literal} }}{/literal}
                                            </td>
                                        {/if}
                                    {/foreach}
                                    {if $rawObject->hasActionButtons()}
                                        <td class="cell-actions mgTableActions">
                                            {foreach $rawObject->getActionButtons() as $aButton}
                                                {$aButton->getHtml()}
                                            {/foreach}
                                        </td>
                                    {/if}
                                </tr>
                            </tbody>{literal}
                        </table>
                        <div v-show="noData" style="padding: 15px; text-align: center;">
                            {/literal}{$MGLANG->absoluteT('noDataAvalible')}{literal}
                        </div>
                        <div class="preloader-container preloader-container--full-screen preloader-container--overlay" v-show="loading">
                            <div class="preloader preloader--sm"></div>
                        </div>          
                    </div>
{/literal}                
{***DATATABLE*FOOTER*****************************************************************}
{literal}
                    <div class="t-c__footer table-footer">
                        <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                            <a class="paginate_button previous disabled" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" href="javascript:;" page="prev" v-on:click="changePage" id="{/literal}{$elementId}{literal}_previous"></a>
                            <span>
                                <a class="paginate_button current" aria-controls="DataTables_Table_0" :data-dt-idx="curPage" tabindex="0"> {{ curPage }} </a>
                            </span>
                            <a class="paginate_button next" aria-controls="DataTables_Table_0" data-dt-idx="7" tabindex="0" href="javascript:;" page="next" v-on:click="changePage" id="{/literal}{$elementId}{literal}_next"></a>
                        </div>
                        <div class="dt-buttons">
                            <a class="dt-button active" tabindex="0" data-length="10" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>10</span>
                            </a>
                            <a class="dt-button" tabindex="0" data-length="25" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>25</span>
                            </a>
                            <a class="dt-button" tabindex="0" data-length="50" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>50</span>
                            </a>
                            <a class="dt-button" tabindex="0" data-length="999999" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>∞</span>
                            </a>
                        </div>
                    </div>            
{/literal} 
    {***END*OF*DATATABLE*FOOTER**********************************************************}                          
{literal}
                </div>
            </div>
        </div>
    </div>
</template>

<script type="text/javascript">

        $(function(){
     
        Vue.component('mg-content-container-body', {
            template : '<mgdatatablebody{/literal}{$elementId}{literal}> </mgdatatablebody{/literal}{$elementId}{literal}>',
            data : function(){
                return {};
            }   
        });    
        
        Vue.component('mgdatatablebody{/literal}{$elementId}{literal}', {
            template : '#mg-datatable-panel{/literal}{$elementId}{literal}',
            data : function(){
                return {
                    dataRows: [],
                    length: 10,
                    iSortCol_0 : '',
                    sSortDir_0 : '',
                    addTimeout : false,
                    sSearch : false,
                    dataShowing : 0,
                    dataTo : 0,
                    dataFrom : 0,
                    curPage : 1,
                    loading : false,
                    show : true,
                    showModal : false,
                    noData : false,
                };
            },
            created: function () {
                this.addTimeout = true;
                this.updateProjects();
            },
            updated: function (){
                initMassActionsOnDatatables('{/literal}{$elementId}{literal}');
                initTooltipsForDatatables('{/literal}{$elementId}{literal}');                
            },                    
            methods: {
                render(h, context) {
                    return h('mg-datatable-panel');
                },
                updateProjects: function(){
                    var self = this;
                    self.loading = true;
                    var sortquery = (self.iSortCol_0 !== '' && self.sSortDir_0 !== '') ? '&iSortCol_0='+self.iSortCol_0+'&sSortDir_0='+self.sSortDir_0 : '';
                    var searchQuery = (self.sSearch !== false) ? '&sSearch='+self.sSearch : '';
                    var actionUrl = '{/literal}{$smarty.server.REQUEST_URI}{literal}';

                    $.get(actionUrl.replace(/&amp;/g, '&') + '&loadData={/literal}{$elementId}{literal}&iDisplayLength='+self.length+'&iDisplayStart='+self.dataShowing+sortquery+searchQuery+'&ajax=1', function(data){
                        data = data.data.rawData;
                        self.dataRows  = data.records;
                        self.dataShowing = data.offset;
                        self.dataTo = data.records.length + data.offset;
                        self.dataFrom = data.fullDataLenght;
                        self.addTimeout = false;
                        if(self.addTimeout === true){
                            setTimeout(self.updateProjects, 60000);
                            self.addTimeout = false;
                        }
                        self.updatePagination();
                        self.loading = false;
                        self.noData = data.records.length > 0 ? false : true;
                    }, 'json');
                },
                updateLength: function(event){
                    var self = this;
                    var btnTarget = (typeof $(event.target).attr('data-length') === 'undefined') ? $(event.target).parent() : $(event.target);
                    self.length = $(btnTarget).attr('data-length');
                    self.dataShowing = 0;
                    $(btnTarget).parent().children('.active').removeClass('active');
                    $(btnTarget).addClass('active');
                    self.updateProjects();
                },
                updateSorting: function(event){
                    var self = this;
                    self.iSortCol_0 = $(event.target).attr('name');
                    self.dataShowing = 0;
                    var currentDir = self.getSortDir(event.target, true);
                    $(event.target).parent().children('.sorting_asc, .sorting_desc').addClass('sorting').removeClass('sorting_asc').removeClass('sorting_desc');
                    $(event.target).removeClass('sorting').removeClass('sorting_asc').removeClass('sorting_desc').addClass(self.reverseSort(currentDir));
                    self.sSortDir_0 = self.getSortDir(event.target, false);
                    self.updateProjects();
                },
                reverseSort: function(sort){
                    var sortingType = 'sorting_asc';
                    if(sort === 'sorting_asc'){
                        sortingType = 'sorting_desc';
                    }
                    return sortingType;
                },
                getSortDir: function(elem, rawClass){
                    var sorts = ['sorting_asc', 'sorting_desc', 'sorting'];
                    var sorting = '';
                    $.each(sorts, function(key, sort) {
                        if($(elem).hasClass(sort) === true) {
                            sorting = rawClass ? sort : sort.replace('sorting_', '').replace('sorting', '');
                        }
                    });
                    return sorting;
                },
                searchData: function(event){
                    var self = this;
                    self.sSearch = $(event.target).val();
                    self.updateProjects();
                },
                updatePagination: function(){
                    var self = this;
                    self.curPage = (parseInt(self.dataShowing) / parseInt(self.length)) + 1;
                    if(self.curPage > 1){
                        $('#{/literal}{$elementId}{literal}_previous').removeClass('disabled');
                    } else{
                        $('#{/literal}{$elementId}{literal}_previous').addClass('disabled');
                    }
                    if((parseInt(self.dataShowing) + parseInt(self.length)) < parseInt(self.dataFrom)){
                        $('#{/literal}{$elementId}{literal}_next').removeClass('disabled');
                    } else{
                        $('#{/literal}{$elementId}{literal}_next').addClass('disabled');
                    }           
                },
                changePage: function(event) {
                    var self = this;
                    if($(event.target).parent().hasClass('disabled') === false){
                        if($(event.target).attr('page') === 'next'){
                            self.dataShowing = parseInt(self.dataShowing) + parseInt(self.length);
                        }
                        if($(event.target).attr('page') === 'prev'){
                            self.dataShowing = parseInt(self.dataShowing) - parseInt(self.length);
                        }
                        self.updateProjects();
                    }
                },
                loadModal: function(event, targetId){
                    mgPageControler.vueLoader.loadM2(event, targetId);                      
                },
                parseLabels: function(inputLabelsData){
                    
                }
            }
        });
        });
</script>

{/literal}
