{**********************************************************************
* DomainOrdersExtended product developed. (2017-11-16)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
*}

<div class="modal show" id="confirmationModal">
    <div class="modal__dialog">
        <div class="modal__content" id="mgModalContainer">
            <div class="modal__top top">
                <div class="top__title type-6">
                    <span class="text-faded font-weight-normal">
                        {if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T('modal', $rawObject->getTitle())}{/if}
                    </span>
                </div>
                <div class="top__toolbar">
                    <button class="btn btn--xs btn--danger btn--icon btn--link btn--plain closeModal" data-dismiss="lu-modal" aria-label="Close" @click="closeModal($event)">
                        <i class="btn__icon zmdi zmdi-close"></i>
                    </button>
                </div>
            </div>
            {assign var="pricingForm" value=$rawObject->getForm('tldPricingForm')}                    
            <div class="modal__nav">
                <ul class="nav nav--md nav--h nav--tabs">
                    {assign var="sectArrKeys" value=$pricingForm->getSections()|array_keys}
                    {foreach from=$pricingForm->getSections() key=sectionID  item=section }             
                        <li class="nav__item {if $sectArrKeys[0] == $sectionID}is-active{/if}">
                            <a class="nav__link" data-toggle="lu-tab" href="#modalTab{$sectionID}">
                                <span class="nav__link-text">{$section->getName()}</span>
                            </a>
                        </li>                    
                    {/foreach}
                </ul>
            </div>
            <div class="modal__body">
                <form id="{$pricingForm->getId()}" namespace="{$pricingForm->getNamespace()}" index="{$pricingForm->getId()}" mgformaction="{$pricingForm->getFormType()}"> 
                    {foreach from=$pricingForm->getFields() item=field }
                        {$field->getHtml()}
                    {/foreach}  
                    <div class="tab-content">
                        {assign var="sectArrKeys" value=$pricingForm->getSections()|array_keys}
                        {foreach from=$pricingForm->getSections() key=sectionID  item=section }        
                            <div class="tab-pane {if $sectArrKeys[0] == $sectionID}is-active{/if}" id="modalTab{$sectionID}">
                                <div class="list-group list-group--simple list-group--p-h-0x list-group--collapse m-b-0x">
                                    {$section->getHtml()}
                                </div>   
                            </div>    
                        {/foreach}
                    </div>
                </form>
            </div>
            <div class="modal__actions">
                {foreach from=$rawObject->getActionButtons() item=actionButton}
                    {$actionButton->getHtml()}
                {/foreach} 
            </div>
        </div> 
    </div>
</div>            