{**********************************************************************
* DomainOrdersExtended product developed. (2017-07-21)
*
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
*}

{literal}
<template id="mg-datatable-panel{/literal}{$elementId}{$customTplVars.randomHash}{literal}">
    <div class="widget widgetActionComponent vueDatatableTable" id="{/literal}{$elementId}{literal}" namespace="{/literal}{$namespace}{literal}" index="{/literal}{$rawObject->getIndex()}{literal}" actionid="{/literal}{$rawObject->getRawCategoryId()}{literal}">
        <div class="widget__header">  
            <div class="widget__top top"> 
                <div class="top__title" >
                    {/literal}
                        {if $rawObject->getIcon()}<i class="{$rawObject->getIcon()}"></i>{/if}{if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T($rawObject->getTitle())}{/if}
                    {literal}
                </div>
                <div class="top__toolbar">
                    {/literal} 
                        {$rawObject->insertButton('editCategoryButton')}
                        {$rawObject->insertButton('deleteCategoryButton')}
                    {literal}                 
                </div>
            </div>
        </div>
        <div class="widget__body">    
            <div class="t-c  datatableLoader" data-table-container data-check-container >
                <div class="t-c__top top mob-top-search">
                    <div class="top__toolbar">
                        {/literal}
                            {$rawObject->insertSearchForm()}
                        {literal}
                    </div>
                    <div class="top__toolbar">
                        {/literal} 
                            {$rawObject->insertButton('assignTldButton')}
                        {literal} 
                    </div>
                </div>
                <div class="t-c__mass-actions top">
                    <div class="top__title"><span class="badge  badge--primary value">0</span> Items Selected</div>
                    <div class="top__toolbar">
                        {/literal} 
                            {if $rawObject->hasMassActionButtons()}
                                {assign var="btnItr" value=0}
                                {foreach $rawObject->getMassActionButtons() as $maButton}
                                    {if $btnItr <= 1}
                                        {$maButton->getHtml()}
                                    {/if}
                                    {if $btnItr === 2}
                                        <div class="has-dropdown">
                                            <button class="btn btn--icon btn--link" data-toggle="lu-dropdown" data-options="placement: bottom right;" data-tooltip data-title="{$MGLANG->controlerContextT('tldTable', 'moreActions')}">
                                                <i class="btn__icon zmdi zmdi-more-vert"></i>
                                            </button> 
                                            <div class="dropdown" data-dropdown-menu>
                                                <div class="dropdown__arrow" data-arrow></div>
                                                <ul class="dropdown__menu">
                                                    <li class="dropdown__header">
                                                        <span class="dropdown__title">{$MGLANG->controlerContextT('tldTable', 'additionalActions')}</span>
                                                    </li>
                                    {/if}                                    
                                    {if $btnItr > 1}
                                        <li class="dropdown__item">
                                            {$maButton->getHtml()}
                                        </li>
                                    {/if}                                
                                    {assign var="btnItr" value=$btnItr+1}
                                {/foreach}
                                {if $btnItr >= 2}
                                            </ul>
                                        </div>
                                    </div>
                                {/if} 
                            {/if}
                        {literal} 
                    </div>
                    <div class="drop-arrow{/literal}{if $rawObject->isvSortable()} drop-arrow-sorting{/if}{literal}"></div>
                </div>
{/literal}              
{***DATATABLE*BODY******************************************************************}
{literal}
                <div class="dataTables_wrapper no-footer">
                    <div>
                        <table  class="table table--mob-collapsible dataTable no-footer dtr-column" width="100%" v-show="loading === false" role="grid">
                            <thead>{/literal}
                                {assign var="collArrKeys" value=$customTplVars.columns|array_keys}
                                {foreach from=$customTplVars.columns key=tplKey item=tplValue}
                                    {if $rawObject->hasMassActionButtons() && $collArrKeys[0] === $tplKey}
                                        <th class="{if $tplValue->orderable}sorting{/if} {if $tplValue->class !== ''}{$tplValue->class}{/if}"
                                            name="{$tplValue->name}">
                                                {if $rawObject->isvSortable()}
                                                    <span class="drag-and-drop-icon" style="visibility: hidden;"><i class="zmdi zmdi-unfold-more"></i></span>
                                                {/if}                                            
                                                <div class="rail">
                                                    <div class="form-check">
                                                        <label>
                                                            <input type="checkbox" data-check-all="" class="form-checkbox">
                                                            <span class="form-indicator"></span>
                                                        </label>
                                                    </div>
                                                    <span class="table__text" {if $tplValue->orderable}v-on:click="updateSorting"{/if}>{if $tplValue->rawTitle}{$tplValue->rawTitle}{else}{$MGLANG->controlerContextT('tldTable', $tplValue->title)}{/if}</th>
                                                </div>
                                            </th>                                    
                                    {else}
                                        <th class="{if $tplValue->orderable}sorting_asc{/if} {if $tplValue->class !== ''}{$tplValue->class}{/if}"
                                            {if $tplValue->orderable}v-on:click="updateSorting"{/if} name="{$tplValue->name}">{if $tplValue->rawTitle}{$tplValue->rawTitle}{else}{$MGLANG->controlerContextT('tldTable', $tplValue->title)}{/if}&nbsp;&nbsp;</th>
                                    {/if}
                                {/foreach}
                                {if $rawObject->hasActionButtons()}
                                    <th class="mgTableActionsHeader" name="actionsCol"></th>                            
                                {/if}
                            </thead>
                            <tbody {if $rawObject->isvSortable()}class="vSortable"{/if}>
                                <tr v-for="dataRow in dataRows" {literal}:actionid="dataRow.id" :style="'cursor: pointer;'"{/literal}>
                                    {foreach from=$customTplVars.columns key=tplKey item=tplValue}
                                        {if $rawObject->hasMassActionButtons() && $collArrKeys[0] === $tplKey}
                                            <td>
                                                {if $rawObject->isvSortable()}
                                                    <span class="drag-and-drop-icon"><i class="zmdi zmdi-unfold-more"></i></span>
                                                {/if}
                                                <div class="rail">
                                                    <div class="form-check">
                                                        <label>
                                                            <input type="checkbox" class="form-checkbox table-mass-action-check" {literal}:value="dataRow.id"{/literal}>
                                                            <span class="form-indicator">
                                                            </span>
                                                        </label>
                                                    </div>
                                                    <span>
                                                        {literal} {{ dataRow.{/literal}{$tplKey}{literal} }}{/literal}
                                                    </span>
                                                </div> 
                                            </td>
                                        {elseif $tplKey === 'labels'}{literal} 
                                            <td v-html="parseLabels(dataRow.labels)">

                                            </td>{/literal}
                                        {elseif $customTplVars.jsDrawFunctions[$tplKey]}
                                            <td v-html="rowDrow('{$tplKey}', dataRow, '{$customTplVars.jsDrawFunctions[$tplKey]}')">

                                            </td>                                            
                                        {elseif $rawObject->hasCustomColumnHtml($tplKey)}
                                            <td class="mgTableActions">
                                                {$rawObject->getCustomColumnHtml($tplKey)}
                                            </td>
                                        {elseif $tplKey === 'pricing'}
                                            <td v-html="dataRow.pricing"></td>
                                        {else}                                         
                                            <td>
                                                {literal} {{ dataRow.{/literal}{$tplKey}{literal} }}{/literal}
                                            </td>
                                        {/if}
                                    {/foreach}
                                    {if $rawObject->hasActionButtons()}
                                        <td class="cell-actions mgTableActions">
                                            {foreach $rawObject->getActionButtons() as $aButton}
                                                {$aButton->getHtml()}
                                            {/foreach}
                                        </td>
                                    {/if}
                                </tr>
                            </tbody>{literal}
                        </table>
                        <div v-show="noData" style="padding: 15px; text-align: center;">
                            {/literal}{$MGLANG->absoluteT('noDataAvalible')}{literal}
                        </div>
                        <div class="preloader-container preloader-container--full-screen preloader-container--overlay" v-show="loading">
                            <div class="preloader preloader--sm"></div>
                        </div>        
                    </div>
{/literal}                
{***DATATABLE*FOOTER*****************************************************************}
{literal}
                    <div class="t-c__footer table-footer">
                        <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                            <a :class='"paginate_button previous" + ((curPage < 2) ? " disabled" : "")' aria-controls="DataTables_Table_0" :data-dt-idx='curPage -1' tabindex="0" href="javascript:;" page="prev" v-on:click="changePage" id="{/literal}{$elementId}{literal}_previous"></a>
                            <span v-for="pageNumber in pagesMap" >
                                <a v-if='pageNumber && pageNumber !== "..."' :class='"paginate_button" + (curPage === pageNumber ? " current" : "")' aria-controls="DataTables_Table_0" v-on:click="changePage" :data-dt-idx="pageNumber" tabindex="0"> {{ pageNumber }} </a>
                                <a v-if='pageNumber && pageNumber === "..."' class="paginate_button disabled" > {{ pageNumber }} </a>
                            </span>
                            <a :class='"paginate_button next" + ((curPage === allPages || allPages === 0) ? " disabled" : "")' aria-controls="DataTables_Table_0" :data-dt-idx='curPage +1' tabindex="0" href="javascript:;" page="next" v-on:click="changePage" id="{/literal}{$elementId}{literal}_next"></a>
                        </div>
                        <div class="dt-buttons">
                            <a class="dt-button active" tabindex="0" data-length="10" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>10</span>
                            </a>
                            <a class="dt-button" tabindex="0" data-length="25" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>25</span>
                            </a>
                            <a class="dt-button" tabindex="0" data-length="999999" v-on:click="updateLength" aria-controls="DataTables_Table_0" href="#{/literal}{$elementId}{literal}">
                                <span>∞</span>
                            </a>
                        </div>
                    </div>            
{/literal} 
    {***END*OF*DATATABLE*FOOTER**********************************************************}                          
{literal}
                </div>
            </div>
        </div>
    </div>
</template>

<script type="text/javascript">
    $(function(){
        Vue.component('mg-content-container-body', {
            template : '<mgdatatablebody{/literal}{$elementId}{$customTplVars.randomHash}{literal}> </mgdatatablebody{/literal}{$elementId}{$customTplVars.randomHash}{literal}>',
            data : function(){
                return {};
            }   
        });    
        
        Vue.component('mgdatatablebody{/literal}{$elementId}{$customTplVars.randomHash}{literal}', {
            template : '#mg-datatable-panel{/literal}{$elementId}{$customTplVars.randomHash}{literal}',
            data : function(){
                return {
                    targetUrl: mgUrlParser.getCurrentUrl(),
                    tableWrapperId: '{/literal}{$elementId}{literal}',
                    dataRows: [],
                    length: 10,
                    iSortCol_0 : '',
                    sSortDir_0 : '',
                    addTimeout : false,
                    sSearch : false,
                    dataShowing : 0,
                    dataTo : 0,
                    dataFrom : 0,
                    curPage : 1,
                    allPages : 1,
                    pagesMap : [],                    
                    loading : false,
                    show : true,
                    showModal : false,
                    labelsIdList : [],
                    noData : false,
                    onOffSwitchEnabled : false
                };
            },
            created: function () {
                var self = this;
                this.addTimeout = true;
                this.updateProjects();
                $('.has-dropdown button').luDropdown();
                self.$parent.$root.$on('reloadMgData', this.updateMgData);
                self.$nextTick(function() {
                    $('#' + self.tableWrapperId + ' .has-dropdown [data-toggle="lu-dropdown"]').luDropdown();
                });                
            },
            updated: function (){
                initMassActionsOnDatatables('{/literal}{$elementId}{literal}');
                initTooltipsForDatatables('{/literal}{$elementId}{literal}');                
            },                    
            methods: {
                render(h, context) {
                    return h('mg-datatable-panel');
                },
                updateMgData: function(toReloadId){
                    var self = this;
                    if(self.tableWrapperId === toReloadId){
                        self.updateProjects();
                        self.$nextTick(function() {
                            self.$emit('restartRefreshingState');
                        });
                    }
                },
                refreshUrl : function() {
                    var self = this;
                    self.targetUrl = mgUrlParser.getCurrentUrl();
                    if(self.targetUrl.indexOf('#') > 0) {
                        self.targetUrl = self.targetUrl.substr(0, self.targetUrl.indexOf('#'));
                    }
                },
                addUrlComponent : function($name, $value) {
                    var self = this;
                    self.targetUrl += (self.targetUrl.indexOf('?') ? '&' : '?') + $name + '=' + $value;
                },
                updateProjects: function(){

                    var self = this;
                    self.loading = true;
                    var actionUrl = '{/literal}{$smarty.server.REQUEST_URI}{literal}';
                    self.refreshUrl();
                    if (self.iSortCol_0 !== '' && self.sSortDir_0 !== '') {
                        self.addUrlComponent('iSortCol_0', self.iSortCol_0);
                        self.addUrlComponent('sSortDir_0', self.sSortDir);
                        
                    }
                    if (self.sSearch !== false) {
                        self.addUrlComponent('sSearch', self.sSearch);
                    }
                    self.addUrlComponent('loadData', "{/literal}{$elementId}{literal}");
                    self.addUrlComponent('index', "{/literal}{$rawObject->getIndex()}{literal}");
                    self.addUrlComponent('namespace', "{/literal}{$namespace}{literal}");
                    self.addUrlComponent('iDisplayLength', self.length);
                    self.addUrlComponent('iDisplayStart', self.dataShowing);
                    self.addUrlComponent('ajax', '1');
                    $.get(self.targetUrl, function(data){

                        data = data.data.rawData;
                        self.dataRows  = data.records;
                        self.dataShowing = data.offset;
                        self.dataTo = data.records.length + data.offset;
                        self.dataFrom = data.fullDataLenght;
                        self.addTimeout = false;
                        if(self.addTimeout === true){
                            setTimeout(self.updateProjects, 60000);
                            self.addTimeout = false;
                        }
                        self.updatePagination();
                        self.loading = false;
                        self.noData = data.records.length > 0 ? false : true;
                    }, 'json').fail(function() {
                        self.loading = false;
                        self.dataRows = [];
                        self.noData = true;
                        //mgPageControler.vueLoader.addAlert('danger', 'Action Failed');
                        console.log('Action Failed');
                    });
                    uncheckSelectAllCheck(self.tableWrapperId);
                },
                updateLength: function(event){
                    var self = this;
                    var btnTarget = (typeof $(event.target).attr('data-length') === 'undefined') ? $(event.target).parent() : $(event.target);
                    self.length = $(btnTarget).attr('data-length');
                    self.dataShowing = 0;
                    $(btnTarget).parent().children('.active').removeClass('active');
                    $(btnTarget).addClass('active');
                    self.updateProjects();
                },
                updateSorting: function(event){
                    var self = this;
                    self.iSortCol_0 = $(event.target).attr('name');
                    self.dataShowing = 0;
                    var currentDir = self.getSortDir(event.target, true);
                    $(event.target).parent().children('.sorting_asc, .sorting_desc').addClass('sorting').removeClass('sorting_asc').removeClass('sorting_desc');
                    $(event.target).removeClass('sorting').removeClass('sorting_asc').removeClass('sorting_desc').addClass(self.reverseSort(currentDir));
                    self.sSortDir_0 = self.getSortDir(event.target, false);
                    self.updateProjects();
                },
                reverseSort: function(sort){
                    var sortingType = 'sorting_asc';
                    if(sort === 'sorting_asc'){
                        sortingType = 'sorting_desc';
                    }
                    return sortingType;
                },
                getSortDir: function(elem, rawClass){
                    var sorts = ['sorting_asc', 'sorting_desc', 'sorting'];
                    var sorting = '';
                    $.each(sorts, function(key, sort) {
                        if($(elem).hasClass(sort) === true) {
                            sorting = rawClass ? sort : sort.replace('sorting_', '').replace('sorting', '');
                        }
                    });
                    return sorting;
                },
                searchData: function(event){
                    var self = this;
                    self.sSearch = $(event.target).val();
                    self.updateProjects();
                },
                updatePagination: function(){
                    var self = this;
                    self.curPage = (parseInt(self.dataShowing) / parseInt(self.length)) + 1;
                    var tempPages = parseInt(parseInt(self.dataFrom) / parseInt(self.length));
                    self.allPages = parseInt(tempPages + ((parseInt(self.length) * tempPages) < parseInt(self.dataFrom) ? 1 : 0));
                    self.updatePagesMap();
                },
                updatePagesMap: function(){
                    var self = this;
                    if (self.allPages === 1) {
                        self.pagesMap = [1];
                        return;
                    }
                    self.pagesMap = [
                        self.curPage -5,
                        self.curPage -4,                        
                        self.curPage -3,
                        self.curPage -2,
                        self.curPage -1,
                        self.curPage,
                        self.curPage +1,
                        self.curPage +2,
                        self.curPage +3,
                        self.curPage +4,
                        self.curPage +5
                    ];
                    for(i=0; i< self.pagesMap.length; i++){
                        if(self.pagesMap[i] < 0 || self.pagesMap[i] > self.allPages){
                            self.pagesMap[i] = null;
                        }
                    }

                    if(self.pagesMap.indexOf(self.allPages) === -1) {
                        self.pagesMap[self.pagesMap.length-1] = self.allPages;
                    }
                    if(self.pagesMap.indexOf(1) === -1) {
                        self.pagesMap[0] = 1;
                    }                  
                    
                    if(self.allPages > 7 && self.curPage > 4) {
                        self.pagesMap[self.pagesMap.indexOf(Math.min(
                            self.curPage-1 > 1 ? self.curPage-1 : self.curPage,
                            self.curPage-2 > 1 ? self.curPage-2 : self.curPage,
                            self.curPage-3 > 1 ? self.curPage-3 : self.curPage,
                            self.curPage-4 > 1 ? self.curPage-4 : self.curPage
                        ))] = '...';
                    }
                    
                    for(i=self.pagesMap.length-1; i > self.pagesMap.indexOf(self.curPage); i--){
                        if(i === 8 && self.pagesMap[i] === self.curPage + 3 && self.pagesMap[i] !== self.allPages) {
                            self.pagesMap[i] = null;
                        }
                    }
                    if(self.allPages > 7 && (4 <= self.allPages - self.curPage)) {
                        self.pagesMap[self.pagesMap.indexOf(self.allPages) - 1] = '...';
                    }                    
                },
                changePage: function(event) {
                    var self = this;
                    if($(event.target).parent().hasClass('disabled') === false && $(event.target).hasClass('disabled') === false){
                        var newPageNumber = $(event.target).attr('data-dt-idx');
                        self.dataShowing = ((newPageNumber < 1) ? 0 : newPageNumber -1) * parseInt(self.length);
                        self.updateProjects();
                    }
                },
                loadModal: function(event, targetId, namespace, index){
                    mgPageControler.vueLoader.loadM2(event, targetId, namespace, index);                      
                },
                parseSuggested:  function (isSugested) {
                    var self = this;
                    if(isSugested === 'on'){
                        return '<i class="btn__icon zmdi zmdi-check" style="color: #62CA5F;"></i>';
                    }
                    return '-';
                },                    
                parseLabels:  function (labStringList) {
                    var self = this;
                    var labelsCont = '';
                    var labIds = labStringList ? labStringList.split(",") : [];
                    $(labIds).each(function(){
                        var tmpLabel = self.getLabel(this);
                        labelsCont = labelsCont + tmpLabel;
                    });
                    
                    return (labelsCont === '' ? '-' : labelsCont);
                },
                getLabel : function(labelId){
                    var labelContetn = '';
                    var labelsList = [
                        {/literal}
                            {foreach from=$customTplVars.labelsList key=labKey item=labValue}
                                {literal}{{/literal}
                                    'id' : '{$labValue['id']}',
                                    'title' : '{$labValue['title']}',
                                    'message' : '{$labValue['message']}',
                                    'color' : '{$labValue['color']}',
                                    'background_color' : '{$labValue['background_color']}'
                                {literal}},{/literal}
                            {/foreach}
                        {literal}
                    ];                    
                    
                    $(labelsList).each(function(){
                        if(labelId == this.id){
                            labelContetn = '<span ' + (this.message && this.message !== "" ? 'data-toggle="tooltip"' : '') + ' class="label lu-tooltip drop-target drop-element-attached-bottom drop-element-attached-center drop-target-attached-top drop-target-attached-center" ' + 
                                'style="margin-left: 0px; margin-right: 10px; margin-bottom: 5px; background-color: #' + this.background_color + '; color: #' + this.color + '"; data-title="'+this.message+'">' + this.title + '</span>'                                    
                            return;
                        }
                    });
                    return labelContetn;
                },
                rowDrow : function(name, DataRow, customFunctionName) {
                    if(window[customFunctionName] === undefined) {
                        return DataRow[name];
                    } else {
                        return window[customFunctionName](name, DataRow);
                    }
                },                
                onOffSwitch: function(event, targetId){
                    var switchPostData = $(event.target).is(':checked') ? {'value' : 'on'} : {'value' : 'off'};
                    mgPageControler.vueLoader.ajaxAction(event, targetId, getItemNamespace(targetId), getItemIndex(targetId), switchPostData);                  
                },                
                redirect :  function (event, params) {
                    mgPageControler.vueLoader.redirect(event, params);
                }                
            }
        });
    });
</script>
{/literal}
