{literal}
    <div class="col-md-8">
        <div class="col-md-12" v-if="Object.keys(categores).length > 0" >
            <div class="row">

                <ul class="nav nav-tabs">
                    <template v-for="(categore, index) in categores">
                        <li style="cursor: pointer" :class="(categoreCurent == categore.id)?'active':''" v-if="categore.allTldCount > 0"><a v-on:click="setCategoryActive(categore.id, index)" >{{ categore.name}} <span class="badge">{{ categore.allTldCount}}</span></a></li>
                    </template>
                </ul>
            </div>
        </div>
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12" style="padding: 0px;">
                    <div class="panel-group" id="accordion" v-for="categore in categores" v-if='categore.id == categoreCurent'>
                        <div class="panel panel-default" v-if='categore.tldCount > 0'>
                            <div class="panel-heading" @click="openAccordion(categore.id,null)" style="cursor: pointer; white-space: nowrap;">
                                <h4 class="panel-title" data-toggle="collapse" data-parent="#accordion" style="display: table-cell; border-spacing: 10px; border-collapse: separate;">
                                    {{categore.name}} 
                                </h4>
                                <span style="display: table-cell;">&nbsp;</span>
                                <span class="badge" style="display: table-cell;">{{categore.tldCount}}</span>
                            </div>
                            <div class="panel-collapse collapse" :class='{in: activeCategory === categore.id}' >
                                <div class="panel-body">
                                    <table style="margin: 0 auto;" class="table table-hover table-condensed ca-search-resault-table">
                                        <tbody>
                                            <tr v-for="tld in categore.tlds" class="vertical-center">
                                                <td style="width: 50%;" class="text-left">
                                                    {{sld}}{{tld.name}}
                                                    <span v-for="label in tld.labels" data-toggle="tooltip" :class="((label.premium == 'on')?'hidden premium_label premium_label_' + tld.id:'') + ' label'" :title="label.message" :style="'margin-left: 1em;background-color: #' + label.beckgroundColor + '; color: #' + label.color + ';'">{{label.name}}</span>
                                                </td>
                                                <td style="width: 15%;" class="text-center"><span :class='"label label-" + ((tld.status === "none")?"default":(tld.status === "error")?"danger":(tld.status === "taken")?"info":"success")'>{{ (tld.status === "none") ? "{/literal}{$MGLANG->T('Check')}{literal}"  : ((tld.status === "free") ? "{/literal}{$MGLANG->T('Free')}{literal}" : ((tld.status === "taken") ? "{/literal}{$MGLANG->T('Taken')}{literal}" : "{/literal}{$MGLANG->T('Error')}{literal}"))}}</span></td>
                                                <td style="width: 35%;" class="text-right">
                                                    <img v-if='tld.status == "none"  && tld.checked == false || tld.waiting' height="20" width="20" src="{/literal}{$rawObject->getAssetsURL()}{literal}/img/loading_icon.gif" />
                                                    <div class="dropdown" v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length > 1)' class="dropdown">
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button class="btn btn-success dropdown-toggle btn-xs ca-domain-order-button" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Registry')}{literal} <span class="caret"></span></button>
                                                        <ul class="dropdown-menu dropdown-menu-right">
                                                            <li v-for="(price, numberOfYear) in getTldPricing(tld)">
                                                                <a v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, categore.id, numberOfYear)"><span style="cursor: pointer;">{{price}}</span></a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length == 1)'>
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button v-for="(price, numberOfYear) in getTldPricing(tld)" v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, categore.id, numberOfYear)" class="btn btn-success btn-xs ca-domain-order-button" type="button" :title="price">{/literal}{$MGLANG->T('Registry')}{literal}</button>
                                                    </div>
                                                    <div class="dropdown" v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length > 1)' class="dropdown">
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button class="btn btn-success dropdown-toggle btn-xs ca-domain-order-button" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Transfer')}{literal} <span class="caret"></span></button>
                                                        <ul class="dropdown-menu dropdown-menu-right">
                                                            <li v-for="(price, numberOfYear) in tld.priceTransfer">
                                                                <a  v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, categore.id, numberOfYear)">
                                                                    <span style="cursor: pointer;">{{price}}</span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length == 1)'>
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button v-for="(price, numberOfYear) in tld.priceTransfer" v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, categore.id, numberOfYear)" class="btn btn-success btn-xs ca-domain-order-button" type="button" :title="price">{/literal}{$MGLANG->T('Transfer')}{literal}</button>
                                                    </div>
                                                    <div v-if='(tld.status == "taken" || tld.status == "free") && tld.addToCart == true'>
                                                    <span class="glyphicon glyphicon-ok" style="color: green;"></span>
                                                    </div>
                                                    <div v-if='(tld.status == "error" && tld.addToCart == false) || (tld.status == "taken" && tld.priceTransfer == undefined && tld.checked == true) || (tld.status == "free" && tld.priceRegister == undefined && tld.checked == true)'>
                                                    <span class="glyphicon glyphicon-remove" style="color: red;"></span> {/literal}{$MGLANG->T('DomainNotAvailable')}{literal}
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="panel panel-default" v-for="subCategory in categore.subCategores" v-if='subCategory.tldCount > 0'>
                            <div class="panel-heading" @click="openAccordion(null, subCategory.id)" style="cursor: pointer; white-space: nowrap;">
                                <h4 class="panel-title" data-toggle="collapse" data-parent="#accordion" style="display: table-cell; border-spacing: 10px; border-collapse: separate;">
                                    {{subCategory.name}} 
                                </h4>
                                <span style="display: table-cell;">&nbsp;</span>
                                <span class="badge" style="display: table-cell;">{{subCategory.tldCount}}</span>
                            </div>
                            <div class="panel-collapse collapse" :class='{in: activeCategory === subCategory.id}'>
                                <div class="panel-body">
                                    <table style="margin: 0 auto;" class="table table-hover table-condensed ca-search-resault-table">
                                        <tbody>
                                            <tr v-for="tld in subCategory.tlds" class="vertical-center">
                                                <td style="width: 50%;" class="text-left">
                                                    {{sld}}{{tld.name}}
                                                    <span v-for="label in tld.labels" data-toggle="tooltip" class="label" :title="label.message" :style="'margin-left: 1em;background-color: #' + label.beckgroundColor + '; color: #' + label.color + ';'">{{label.name}}</span>
                                                </td>
                                                <td style="width: 15%;" class="text-center"><span :class='"label label-" + ((tld.status === "none")?"default":(tld.status === "error")?"danger":(tld.status === "taken")?"info":"success")'>{{ (tld.status === "none") ? "{/literal}{$MGLANG->T('Check')}{literal}"  : ((tld.status === "free") ? "{/literal}{$MGLANG->T('Free')}{literal}" : ((tld.status === "taken") ? "{/literal}{$MGLANG->T('Taken')}{literal}" : "{/literal}{$MGLANG->T('Error')}{literal}"))}}</span></td>
                                                <td style="width: 35%;" class="text-right">
                                                    <img v-if='tld.status == "none"  && tld.checked == false || tld.waiting' height="20" width="20" src="{/literal}{$rawObject->getAssetsURL()}{literal}/img/loading_icon.gif" />
                                                    <div class="dropdown" v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length > 1)' class="dropdown">
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button class="btn btn-success dropdown-toggle btn-xs ca-domain-order-button" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Registry')}{literal} <span class="caret"></span></button>
                                                        <ul class="dropdown-menu dropdown-menu-right">
                                                            <li v-for="(price, numberOfYear) in getTldPricing(tld)">
                                                                <a v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, categore.id, numberOfYear)">
                                                                    <span style="cursor: pointer;">{{price}}</span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length == 1)'>
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button v-for="(price, numberOfYear) in getTldPricing(tld)" v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, categore.id, numberOfYear)" class="btn btn-success btn-xs ca-domain-order-button" type="button" :title="price">{/literal}{$MGLANG->T('Registry')}{literal}</button>
                                                    </div>
                                                    <div class="dropdown" v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length > 1)' class="dropdown">
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                                        <button class="btn btn-success dropdown-toggle btn-xs ca-domain-order-button" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Transfer')}{literal} <span class="caret"></span></button>
                                                        <ul class="dropdown-menu dropdown-menu-right">
                                                            <li v-for="(price, numberOfYear) in tld.priceTransfer">
                                                                <a  v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, categore.id, numberOfYear)">
                                                                    <span style="cursor: pointer;">{{price}}</span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length == 1)'>
                                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span ca-domain-order-button"></span>
                                                        <button v-for="(price, numberOfYear) in tld.priceTransfer" v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, categore.id, numberOfYear)" class="btn btn-success btn-xs" type="button" :title="price">{/literal}{$MGLANG->T('Transfer')}{literal}</button>
                                                    </div>
                                                    <div v-if='(tld.status == "taken" || tld.status == "free") && tld.addToCart == true'>
                                                    <span class="glyphicon glyphicon-ok" style="color: green;"></span>
                                                    </div>
                                                    <div v-if='(tld.status == "error" && tld.addToCart == false) || (tld.status == "taken" && tld.priceTransfer == undefined && tld.checked == true) || (tld.status == "free" && tld.priceRegister == undefined && tld.checked == true)'>
                                                    <span class="glyphicon glyphicon-remove" style="color: red;"></span> {/literal}{$MGLANG->T('DomainNotAvailable')}{literal}
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="panel panel-default" v-if="Object.keys(suggested).length > 0">
                            <div class="panel-heading" @click="suggestedActiveCategory = !suggestedActiveCategory" style="cursor: pointer; white-space: nowrap;">
                                <h4 class="panel-title" data-toggle="collapse" data-parent="#accordion" style="display: table-cell; border-spacing: 10px; border-collapse: separate;">
                                    {/literal}{$MGLANG->T('Suggested')}{literal} 
                                </h4>
                                <span style="display: table-cell;">&nbsp;</span>
                                <span class="badge" style="display: table-cell;">{{Object.keys(suggested).length}}</span>
                            </div>
                            <div class="panel-collapse collapse" :class='{in: suggestedActiveCategory === true}'>
                                <div class="panel-body">
                                    {/literal}{$rawObject->getSuggestedHtml()}{literal}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class='well text-center vertical-center' v-if="Object.keys(categores).length == 0">
                        <h4>{/literal}{$MGLANG->T('NotFindDomains')}{literal}</h4>
                    </div>
                </div>
            </div>
        </div>
    </div>
{/literal}
