{**********************************************************************
* DomainOrdersExtended product developed. (2017-10-04)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
*}

<div class="control-group {$style.classes}">
    <div class="row">
        {if $rawObject->isRawTitle() || $rawObject->getTitle()}
            <div class="col-md-{12 - $rawObject->getWidth()}">
                <label class="control-label">
                    {if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T($rawObject->getTitle())}{/if}
                </label>
            </div>
        {/if}

        <div class="col-md-{$rawObject->getWidth()}">
            <input class="form-control jscolor" name="{$rawObject->getName()}" value="{$rawObject->getValue()}" id="{$rawObject->getId()}" />
            <div class='help-block'>{$MGLANG->T('general','color','help')}</div>
        </div>
    </div>

    {if $description}
        <div class="row">
            <div class="col-md-offset-{12 - $rawObject->getWidth()} col-md-{$rawObject->getWidth()}">
                <span class="help-block">
                    {$description}
                </span>
            </div>
        </div>
    {/if}
</div>