<?php

namespace ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS\Domains\Lookup;

use ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS\Base;

/**
 * Description of SuggestDomain
 *
 * @author inbs
 */
class SuggestDomain extends Base
{
    public $action = 'name_suggest';
    public $object = 'domain';
    public $_formatHolder = '';
    public $resultFullRaw;
    public $resultRaw;
    public $resultFullFormatted;
    public $resultFormatted;
    public $requiredFields = array(
        'attributes' => array(
            'searchstring',
            ),
        );
    public function __construct($formatString, $dataObject, $returnFullResponse = true)
    {
        parent::__construct();
        $this->_formatHolder = $formatString;
        unset($dataObject->func);        
        $this->_validateObject($dataObject);

        $this->send($dataObject, $returnFullResponse);
    }
    public function __destruct()
    {
        parent::__destruct();
    }
}