<?php

namespace ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS\Method;

/**
 * Description of AbstractMethod
 *
 * @author Rafał Ossowski <rafal.os@modulesgarden.com>
 */
class AbstractMethod
{
    const RESPONSE_RESULT_ERROR = 'error';
    const RESPONSE_RESULT_TAKEN = 'taken';
    const RESPONSE_RESULT_FREE  = 'free';
    
    protected $request;
    protected $settings;
    protected $idnaConvert;

    public function __construct($request, $settings, $idnaConvert)
    {
        $this->request      = $request;
        $this->settings     = $settings;
        $this->idnaConvert  = $idnaConvert;
    }
}
