{literal}
    <div v-if="specialChoice !== false" class="col-md-12">
        <div class ="well text-center">
            <table style="margin: 0 auto; border-top: 0px; width: 100%;" class="ca-search-resault-table">
                <tbody>
                    <tr class="vertical-center">
                        <td style="width: 50%;" class="text-left">
                            {{sld}}{{specialChoice.tld.name}}
                            <span v-for="label in specialChoice.tld.labels" data-toggle="tooltip" class="label" v-show="label.premium != 'on' || premiumPricing[specialChoice.tld.id] != null" :title="label.message" :style="'margin-left: 1em;background-color: #' + label.beckgroundColor + '; color: #' + label.color + ';'">{{label.name}}</span>
                        </td>
                        <td style="width: 15%;" class="text-center"><span v-if='(specialChoice.tld.status !== "error")' :class='"label label-" + ((specialChoice.tld.status === "none")?"default":(specialChoice.tld.status === "error")?"danger":(specialChoice.tld.status === "taken")?"info":"success")'>{{ (specialChoice.tld.status === "none") ? "{/literal}{$MGLANG->T('Check')}{literal}"  : ((specialChoice.tld.status === "free") ? "{/literal}{$MGLANG->T('Free')}{literal}" : ((specialChoice.tld.status === "taken") ? "{/literal}{$MGLANG->T('Taken')}{literal}" : {/literal}{$MGLANG->T('Error')}{literal}))}}</span></td>
                        <td style="width: 35%;" class="text-right">
                            <img v-if='specialChoice.tld.status == "none"  && specialChoice.tld.checked == false || specialChoice.tld.waiting' height="20" width="20" src="{/literal}{$rawObject->getAssetsURL()}{literal}/img/loading_icon.gif" />
                            <div class="dropdown" v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "free"  && specialChoice.tld.addToCart == false  && specialChoice.tld.priceRegister != undefined && (Object.keys(getTldPricing(specialChoice.tld)).length > 1)' class="dropdown">
                                <span v-html="getTldPricing(specialChoice.tld, true)" class="ca-default-pricing-span"></span>
                                <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Registry')}{literal} <span class="caret"></span></button>
                                <ul class="dropdown-menu dropdown-menu-right">
                                    <li v-for="(price, numberOfYear) in getTldPricing(specialChoice.tld)">
                                        <a v-on:click="specialChoice.tld.waiting = true; register(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)">
                                            <span style="cursor: pointer;">{{price}}</span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "taken" && specialChoice.tld.addToCart == false && specialChoice.tld.priceTransfer != undefined && (Object.keys(specialChoice.tld.priceTransfer).length == 1)'>
                                <span v-html="getTldPricing(specialChoice.tld, true)" class="ca-default-pricing-span"></span>
                                <button v-for="(price, numberOfYear) in specialChoice.tld.priceTransfer" v-on:click="specialChoice.tld.waiting = true; transfer(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)" class="btn btn-success btn-xs" type="button" :title="price">{/literal}{$MGLANG->T('Transfer')}{literal}</button>
                            </div>
                            <div class="dropdown" v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "taken" && specialChoice.tld.addToCart == false && specialChoice.tld.priceTransfer != undefined && (Object.keys(specialChoice.tld.priceTransfer).length > 1)' class="dropdown">
                                <span v-html="getTldPricing(specialChoice.tld, true)" class="ca-default-pricing-span"></span>
                                <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Transfer')}{literal} <span class="caret"></span></button>
                                <ul class="dropdown-menu dropdown-menu-right">
                                    <li v-for="(price, numberOfYear) in specialChoice.tld.priceTransfer">
                                        <a  v-on:click="specialChoice.tld.waiting = true; transfer(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)">
                                            <span style="cursor: pointer;">{{price}}</span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "free"  && specialChoice.tld.addToCart == false  && specialChoice.tld.priceRegister != undefined && (Object.keys(getTldPricing(specialChoice.tld)).length == 1)'>
                                <span v-html="getTldPricing(specialChoice.tld, true)" class="ca-default-pricing-span-special-choice"></span>
                                <button v-for="(price, numberOfYear) in getTldPricing(specialChoice.tld)" v-on:click="specialChoice.tld.waiting = true; register(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)" class="btn btn-success btn-xs" type="button" :title="price">{/literal}{$MGLANG->T('Registry')}{literal}</button>
                            </div>
                            <div v-if='(specialChoice.tld.status == "taken" || specialChoice.tld.status == "free") && specialChoice.tld.addToCart == true'>
                                <span class="glyphicon glyphicon-ok" style="color: green;"></span>
                            </div>
                            <div v-if='(specialChoice.tld.status == "error" && specialChoice.tld.addToCart == false) || (specialChoice.tld.status == "taken" && specialChoice.tld.priceTransfer == undefined && specialChoice.tld.checked == true) || (specialChoice.tld.status == "free" && specialChoice.tld.priceRegister == undefined && specialChoice.tld.checked == true)'>
                                <span class="glyphicon glyphicon-remove" style="color: red;"></span> {/literal}{$MGLANG->T('DomainNotAvailable')}{literal}
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>             
    </div>
{/literal}
