{literal}
 <div class="col-md-8">
        <div class="col-md-12" v-if="Object.keys(categores).length > 0">
            <div class="row">
                <ul class="nav nav-tabs">
                    <template v-for="(categore, index) in categores">
                        <li style="cursor: pointer" :class="(categoreCurent == categore.id)?'active':''" v-if="categore.tldCount > 0"><a v-on:click="categoreCurent = categore.id" >{{ categore.name}} <span class="badge">{{ categore.tldCount}}</span></a></li>
                    </template>
                </ul>
            </div>
        </div>
        <div class="col-md-12">

            <div class="row">
                <div class="col-md-12">
                    <table style="margin: 0 auto;" class="table table-hover table-condensed" v-for="categore in categores" v-if='categore.id == categoreCurent'>
                        <tbody>
                            <tr v-for="tld in categore.tlds" class="vertical-center">
                                <td style="width: 50%;" class="text-left">
                                    {{sld}}{{tld.name}}
                                    <span v-for="label in tld.labels" data-toggle="tooltip" class="label" v-show="label.premium != 'on' || premiumPricing[tld.id] != null" :title="label.message" :style="'margin-left: 1em;background-color: #' + label.beckgroundColor + '; color: #' + label.color + ';'">{{label.name}}</span>
                                </td>
                                <td style="width: 15%;" class="text-center">
                                    <span :class='"label label-" + ((tld.status === "none")?"default":(tld.status === "error")?"danger":(tld.status === "taken")?"info":"success")'>{{ (tld.status === "none") ? "{/literal}{$MGLANG->T('Check')}{literal}"  : ((tld.status === "free") ? "{/literal}{$MGLANG->T('Free')}{literal}" : ((tld.status === "taken") ? "{/literal}{$MGLANG->T('Taken')}{literal}" : "{/literal}{$MGLANG->T('Error')}{literal}"))}}</span>
                                </td>
                                <td style="width: 35%;" class="text-right">
                                    <img v-if='tld.status == "none"  && tld.checked == false || tld.waiting' height="20" width="20" src="{/literal}{$rawObject->getAssetsURL()}{literal}/img/loading_icon.gif" />
                                    <div class="dropdown" v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length > 1)' class="dropdown">
                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                        <button class="btn btn-success dropdown-toggle btn-xs ca-domain-order-button" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Registry')}{literal} <span class="caret"></span></button>
                                        <ul class="dropdown-menu dropdown-menu-right">
                                            <li v-for="(price, numberOfYear) in getTldPricing(tld)">
                                                <a v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, categore.id, numberOfYear)">
                                                    <span style="cursor: pointer;">{{price}}</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length == 1)'>
                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                        <button v-for="(price, numberOfYear) in getTldPricing(tld)" v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, categore.id, numberOfYear)" class="btn btn-success btn-xs ca-domain-order-button" type="button" :title="price">{/literal}{$MGLANG->T('Registry')}{literal}</button>
                                    </div>
                                    <div class="dropdown" v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length > 1)' class="dropdown">
                                        <span v-html="tld.priceTransfer['1']" class="ca-default-pricing-span"></span>
                                        <button class="btn btn-success dropdown-toggle btn-xs ca-domain-order-button" type="button" data-toggle="dropdown">{/literal}{$MGLANG->T('Transfer')}{literal} <span class="caret"></span></button>
                                        <ul class="dropdown-menu dropdown-menu-right">
                                            <li v-for="(price, numberOfYear) in tld.priceTransfer">
                                                <a  v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, categore.id, numberOfYear)"
                                                    ><span style="cursor: pointer;">{{price}}</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length == 1)'>
                                        <span v-html="getTldPricing(tld, true)" class="ca-default-pricing-span"></span>
                                        <button v-for="(price, numberOfYear) in tld.priceTransfer" v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, categore.id, numberOfYear)" class="btn btn-success btn-xs ca-domain-order-button" type="button" :title="price">{/literal}{$MGLANG->T('Transfer')}{literal}</button>
                                    </div>
                                    <div v-if='(tld.status == "taken" || tld.status == "free") && tld.addToCart == true'>
                                        <span class="glyphicon glyphicon-ok" style="color: green;"></span>
                                    </div>
                                    <div v-if='(tld.status == "error" && tld.addToCart == false) || (tld.status == "taken" && tld.priceTransfer == undefined && tld.checked == true) || (tld.status == "free" && tld.priceRegister == undefined && tld.checked == true)'>
                                        <span class="glyphicon glyphicon-remove" style="color: red;"></span> {/literal}{$MGLANG->T('DomainNotAvailable')}{literal}
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <h3 v-if="Object.keys(suggested).length > 0">{/literal}{$MGLANG->T('Suggested')}{literal} <span class="badge">{{Object.keys(suggested).length}}</span></h3>
                    {/literal}{$rawObject->getSuggestedHtml()}{literal}
                    <div class='well text-center vertical-center' v-if="Object.keys(categores).length == 0">
                        <h4>{/literal}{$MGLANG->T('NotFindDomains')}{literal}</h4>
                    </div>
                </div>
            </div>
        </div>
    </div>
{/literal}
