<div class="control-group {$style.classes}">
    <div class="row">
        {if $rawObject->isRawTitle() || $rawObject->getTitle()}
            <div class="col-md-{12 - $rawObject->getWidth()}">
                <label class="control-label">
                    {if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T($rawObject->getTitle())}{/if}
                </label>
            </div>
        {/if}

        <div class="col-md-{$rawObject->getWidth()}">
            <select 
                class="form-control" 
                name="{$rawObject->getName()}"
                {if $disabled}disabled="disabled"{/if}
            >
                {$rawObject->getAvalibleValues()}
                {foreach from=$rawObject->getAvalibleValues() key=opValue item=option}
                    <option value="{$opValue}" {if $opValue==$rawObject->getValue()}selected{/if}>
                        {$option}
                    </option>
                {/foreach}
            </select>
        </div>
    </div>

    {if $description}
        <div class="row">
            <div class="col-md-offset-{12 - $rawObject->getWidth()} col-md-{$rawObject->getWidth()}">
                <span class="help-block">
                    {$description}
                </span>
            </div>
        </div>
    {/if}
</div>
