{**********************************************************************
* DomainOrdersExtended product developed. (2017-08-24)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
*}

<div class="row vhidden" id="mgVueMainContainer">
    <div class="row-fluid" id="MGAlerts">
        {if $error}
            <div class="note note-danger">
                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                <p><strong>{$error}</strong></p>
            </div>
        {/if}
        {if $success}
            <div class="note note-success">
                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                <p><strong>{$success}</strong></p>
            </div>
        {/if}
        <div style="display:none;" data-prototype="error">
            <div class="note note-danger">
                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                <strong></strong>
                <a style="display:none;" class="errorID" href=""></a>
            </div>
        </div>
        <div style="display:none;" data-prototype="success">
            <div class="note note-success">
                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                <strong></strong>
            </div>
        </div>
    </div>    
    <div class="row"><i v-show="pageLoading" class="page_processing"></i></div>
    {foreach from=$elements key=nameElement item=dataElement}
        {$dataElement->getHtml()}
    {/foreach}
    {literal}
    
    <mg-modal v-if="showModal" @close="showModal = false" :bodydata="htmlContent"></mg-modal>
    
    <div id="vueModalContainer"></div>
</div>
  
<script type="text/x-template" id="mg-modal-wrapper">
    <transition name="modal">
        <div class="modal-mask">
          <div class="modal-wrapper">
            <div class="modal-container" v-html="bodydata" id="mgModalContainer">

            </div>
          </div>
        </div>
    </transition>
</script>

{/literal}

<script type="text/javascript">
    function mgLoadPageContoler(){
        mgPageControler = new mgVuePageControler('mgVueMainContainer');
        mgPageControler.vinit();
    };
    document.addEventListener('DOMContentLoaded', mgLoadPageContoler, false);
</script>

{if $scriptHtml}
    <script type="text/javascript">
        {$scriptHtml}
    </script>
{/if}
