{literal}
<div class="domain-checker-result-headline" v-if="specialChoice !== false">
    <div class="domain-available message message-success message-lg message-no-data" v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "free"  && specialChoice.tld.addToCart == false  && specialChoice.tld.priceRegister != undefined'>
        <div class="message-icon">
            <i class="lm lm-check"></i>
        </div>
        <h2 class="message-text"> Congratulations!
            <strong>{{sld}}{{specialChoice.tld.name}}</strong> is available! </h2>

        <div class="domain-price">
            <h4 class="price" v-html="getTldPricing(specialChoice.tld, true)" class="ca-default-pricing-span"></h4>
            <div class="dropdown"
                 v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "free"  && specialChoice.tld.addToCart == false  && specialChoice.tld.priceRegister != undefined && (Object.keys(getTldPricing(specialChoice.tld)).length > 1)'>
                <button class="btn btn-success dropdown-toggle" type="button"
                        data-toggle="dropdown">{/literal}{$MGLANG->T('Registry')}{literal} <span class="caret"></span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li class="dropdown-header">{/literal}{$MGLANG->T('ChooseBilingPeriod')}{literal}</li>
                    <li v-for="(price, numberOfYear) in getTldPricing(specialChoice.tld)">
                        <a v-on:click="specialChoice.tld.waiting = true; register(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)">
                            <span style="cursor: pointer;">{{price}}</span>
                        </a>
                    </li>
                </ul>
            </div>
            <div v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "free" && specialChoice.tld.addToCart == false  && specialChoice.tld.priceRegister != undefined && (Object.keys(getTldPricing(specialChoice.tld)).length == 1)'>
                <button class="btn btn-success" type="button" v-for="(price, numberOfYear) in getTldPricing(specialChoice.tld)" v-on:click="specialChoice.tld.waiting = true; register(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)">
                    {/literal}{$MGLANG->T('Registry')}{literal}
                </button>
            </div>
        </div>
    </div>

    <div class="domain-available message message-alert message-lg message-no-data" v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "taken" && specialChoice.tld.addToCart == false && specialChoice.tld.priceTransfer != undefined'>
        <div class="message-icon">
            <i class="lm lm-check"></i>
        </div>
        <h2 class="message-text"> Congratulations!
            <strong>{{sld}}{{specialChoice.tld.name}}</strong> {/literal}{$MGLANG->T('DomainIsTaken')}{literal}</h2>
        <div class="domain-price">
            <h4 class="price" v-html="getTldPricing(specialChoice.tld, true)" class="ca-default-pricing-span"></h4>
            <div class="dropdown"
                 v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "taken"  && specialChoice.tld.addToCart == false  && specialChoice.tld.priceRegister != undefined && (Object.keys(getTldPricing(specialChoice.tld)).length > 1)'>
                <button class="btn btn-primary btn-add-to-carts dropdown-toggle" type="button"
                        data-toggle="dropdown">{/literal}{$MGLANG->T('Transfer')}{literal} <span class="caret"></span>
                </button>
                <ul class="dropdown-menu dropdown-menu-right">
                    <li class="dropdown-header">{/literal}{$MGLANG->T('ChooseBilingPeriod')}{literal}</li>
                    <li v-for="(price, numberOfYear) in getTldPricing(specialChoice.tld)">
                        <a v-on:click="specialChoice.tld.waiting = true; transfer(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)">
                            <span style="cursor: pointer;">{{price}}</span>
                        </a>
                    </li>
                </ul>
            </div>
            <div v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "taken" && specialChoice.tld.addToCart == false && specialChoice.tld.priceTransfer != undefined && (Object.keys(specialChoice.tld.priceTransfer).length == 1)'>
                <button class="btn btn-primary" type="button" v-for="(price, numberOfYear) in specialChoice.tld.priceTransfer" v-on:click="specialChoice.tld.waiting = true; transfer(sld + specialChoice.tld.name, specialChoice.tld.id, specialChoice.categore.id, numberOfYear)">{/literal}{$MGLANG->T('Transfer')}{literal}
                </button>
            </div>
        </div>
    </div>
    <div class="domain-unavailable message message-danger message-lg message-no-data" v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "error"  && specialChoice.tld.addToCart == false'>
        <div class="message-icon">
            <i class="lm lm-close"></i>
        </div>
        <h2 class="message-text">
            <strong>{{sld}}{{specialChoice.tld.name}}</strong>{/literal} {$MGLANG->T('DomainNotAvailable')}{literal}</h2>
    </div>

    <div class="domain-unavailable message message-alert message-lg message-no-data" v-if='specialChoice.tld.waiting == false && specialChoice.tld.status == "none"  && specialChoice.tld.addToCart == false'>
        <div class="loader">
            <div class="spinner">
                <div class="rect1"></div>
                <div class="rect2"></div>
                <div class="rect3"></div>
                <div class="rect4"></div>
                <div class="rect5"></div>
            </div>
        </div>

        <h2 class="message-text">
            <strong>{{sld}}{{specialChoice.tld.name}}</strong> {/literal}{$MGLANG->T('Checking')}{literal}</h2>
    </div>

    <div class="domain-unavailable message message-success message-lg message-no-data" v-if='specialChoice.tld.waiting == false && specialChoice.tld.addToCart == true'>
        <div class="message-icon">
            <i class="lm lm-check"></i>
        </div>
        <h2 class="message-text">
            <strong>{{sld}}{{specialChoice.tld.name}}</strong> {/literal}{$MGLANG->T('DomainInCart')}{literal}</h2>
    </div>

</div>

<div v-if="specialChoice == false" class="m-t-40"></div>


{/literal}
