{literal}

<div class="loader" id="orderSummaryLoader" v-if='loadingCart'>
    <div class="spinner spinner-sm spinner-light">
        <div class="rect1"></div>
        <div class="rect2"></div>
        <div class="rect3"></div>
        <div class="rect4"></div>
        <div class="rect5"></div>
    </div>
</div>
<h2>{/literal}{$rawObject->getFullName()}{literal}</h2>
<div class="summary-container" id="producttotal">
    <div class="content" >
        <ul class="order-summary-list" v-if="cartTotals.domains && Object.keys(cartTotals.domains).length > 0 || cartTotals.products && Object.keys(cartTotals.products).length > 0 || cartTotals.addons && Object.keys(cartTotals.addons).length > 0">
            <li class="list-item faded">{/literal}{$MGLANG->T("domains")}{literal}</li>
            <li class="list-item" v-if="cartTotals && cartTotals.domains" v-for="(domain, index) in cartTotals.domains">
                 <span class="item-name">{{domain.domain}}</span>
                <span class="item-value">{{domain.price + " " + domain.shortYearsLanguage}}</span>
                <span class="item-actions">
                    <a style="cursor: pointer;" v-on:click="removeItemInCart(index, 'domains', domain.domain)"><i class="ls ls-trash"></i></a>
                </span>
            </li>
        </ul>

        <ul class="order-summary-list" v-if="cartTotals && cartTotals.products && Object.keys(cartTotals.products).length > 0">
            <li class="list-item faded">{/literal}{$MGLANG->T("products")}{literal}</li>
            <li class="list-item" v-for="(product, index) in cartTotals.products" >
                <span class="item-name">{{product.productinfo.name}}</span>
                <span class="item-value">{{product.pricingtext}}</span>
                <span class="item-actions">
                    <a style="cursor: pointer;" v-on:click="removeItemInCart(index, 'products')"><i class="ls ls-trash"></i></a>
                </span>
                <span v-for="addon in product.addons" >
                    <span class="item-value">{{addon.name}}</span>
                    <span class="item-actions">
                        {{addon.pricingtext}}
                    </span>
                </span>
            </li>
        </ul>
        <ul class="order-summary-list" v-if="cartTotals.addons && Object.keys(cartTotals.addons).length > 0">
            <li class="list-item faded">{/literal}{$MGLANG->T("addons")}{literal}</li>
            <li class="list-item" v-for="(addon, index) in cartTotals.addons">
                <span class="item-name">{{addon.productname}}</span>
                <span class="item-value">{{addon.pricingtext}}</span>
                <span class="item-actions">
                    <a style="cursor: pointer;" v-on:click="removeItemInCart(index, 'addons')"><i class="ls ls-trash"></i></a>
                </span>
            </li>
        </ul>
        <ul class="order-summary-list" v-show='(cartTotals.taxrate != 0  && cartTotals.taxname) || (cartTotals.taxrate2 != 0 && cartTotals.taxname2)'>
            <li class="list-item">
                <span class="item-name">{/literal}{$rawObject->getSubTotalsTranslate()}{literal}:</span>
                <span class="item-value">{{cartTotals.subtotal}}</span>
            </li>
        </ul>
        <ul class="order-summary-list faded" v-show='(cartTotals.taxrate != 0  && cartTotals.taxname) || (cartTotals.taxrate2 != 0 && cartTotals.taxname2)'>
            <li class="list-item" v-show='cartTotals.taxrate != 0  && cartTotals.taxname'>
                <span class="item-name">{{cartTotals.taxname}} ({{cartTotals.taxrate}}%):</span>
                <span class="item-value">{{cartTotals.taxtotal}}</span>
            </li>
            <li class="list-item" v-show='cartTotals.taxrate2 != 0 && cartTotals.taxname2'>
                <span class="item-name">{{cartTotals.taxname2}} ({{cartTotals.taxrate2}}%):</span>
                <span class="item-value">{{cartTotals.taxtotal2}}</span>
            </li>
        </ul>
    </div>
    <div class="total-due-today" v-if="cartTotals && ((cartTotals.domains && Object.keys(cartTotals.domains).length > 0) || (cartTotals.products && Object.keys(cartTotals.products).length > 0) || (cartTotals.addons && Object.keys(cartTotals.addons).length > 0))">
        <div class="content">
            <span id="totalDueToday" class="amt">
                {{cartTotals.total}}
            </span>
            <span class="total-due-today-text">{/literal}{$MGLANG->T("TotalDueToday")}{literal}</span>

        </div>
        <button type="button" class="btn btn-icon btn-primary btn-rounded btn-sm hidden-md hidden-lg">
            <i class="fa fa-chevron-up"></i>
        </button>
        <div class="basket-icon hidden-sm hidden-xs">
            <i class="ls ls-basket"></i>
        </div>


    </div>
</div>

{/literal}{$rawObject->getButtonGoToCart()}{literal}

{/literal}
