<div class="control-group {$style.classes}">
    <div class="row">
        {if $rawObject->isRawTitle() || $rawObject->getTitle()}
            <div class="col-md-{12 - $rawObject->getWidth()}">
                <label class="checkbox-switch-label">
                    {if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T($rawObject->getTitle())}{/if}
                </label>
            </div>
        {/if}

        <div class="col-md-{$rawObject->getWidth()}">
            <div class="checkbox-container">
                <input  class="checkbox-switch"
                        data-on-text="{$MGLANG->absoluteT('bootstrapswitch','enabled')}" 
                        data-off-text="{$MGLANG->absoluteT('bootstrapswitch','disabled')}" 
                        data-on-color="success" 
                        data-off-color="default"  
                        data-size="mini" 
                        data-label-width="15" 
                        type="checkbox"
                        name="{$rawObject->getName()}"
                        {if $rawObject->getValue() === 'on'}checked{/if}
                />
            </div>
        </div>
    </div>

    {if $description}
        <div class="row">
            <div class="col-md-offset-{12 - $rawObject->getWidth()} col-md-{$rawObject->getWidth()}">
                <span class="help-block">
                    {$description}
                </span>
            </div>
        </div>
    {/if}
</div>