<div class="control-group {$style.classes}">
    <div class="row">
        {if $rawObject->isRawTitle() || $rawObject->getTitle()}
            <div class="col-md-{12 - $rawObject->getWidth()}">
                <label class="control-label">
                    {if $rawObject->isRawTitle()}{$rawObject->getRawTitle()}{elseif $rawObject->getTitle()}{$MGLANG->T($rawObject->getTitle())}{/if}
                </label>
            </div>
        {/if}

        <div class="col-md-{$rawObject->getWidth()}">
            <input 
                type="text" 
                class="form-control" 
                name="{$rawObject->getName()}" 
                value="{$rawObject->getValue()}"  
                placeholder="{$placeholder}" 
                {foreach from=$data key=dataKey item=dataValue}
                    data-{$dataKey}="{$dataValue}"
                {/foreach}
                style="{foreach from=$style.custom key=stl item=val}{$stl}:{$val};{/foreach}" 
            />
        </div>
    </div>

    {if $description}
        <div class="row">
            <div class="col-md-offset-{12 - $rawObject->getWidth()} col-md-{$rawObject->getWidth()}">
                <span class="help-block">
                    {$description}
                </span>
            </div>
        </div>
    {/if}
</div>